// popup.js - Logic for the extension's action popup

document.addEventListener('DOMContentLoaded', () => {
    const toggleCheckbox = document.getElementById('togglePreviews');

    if (!toggleCheckbox) {
        console.error("Could not find the toggle checkbox element!");
        return;
    }

    // Load the saved setting when the popup opens
    chrome.storage.sync.get(['showEmotePreviews'], (result) => {
        // Default to true if not set
        toggleCheckbox.checked = result.showEmotePreviews !== false;
        console.log('Preview setting loaded:', toggleCheckbox.checked);
    });

    // Save the setting when the checkbox changes
    toggleCheckbox.addEventListener('change', () => {
        const showPreviews = toggleCheckbox.checked;
        chrome.storage.sync.set({ showEmotePreviews: showPreviews }, () => {
            console.log('Preview setting saved:', showPreviews);
            // Optional: Notify content script immediately (more complex, skip for now)
            // If needed, could send a message to active tab's content script
            // chrome.tabs.query({active: true, currentWindow: true}, function(tabs) {
            //    if (tabs[0]?.id) {
            //        chrome.tabs.sendMessage(tabs[0].id, {action: "previewSettingChanged", showPreviews: showPreviews});
            //    }
            // });
        });
    });
});